#!/bin/bash
#V 0.2 30.07.2012 Bleifuss2
#Generiert ein Skript mit passender Modline

XRANDR_OUTPUT_FILE="/home/easyvdr/xrandr_tv_modline"
SET_RESOLUTION_SCRIPT="/usr/lib/vdr/set_resolution_xrandr.sh"
LOGGER=" logger -t set_screen_resolution "

$LOGGER "check TV"

# Testen ob TV eingeschaltet ist
DISPLAY=:0.0 xrandr
if [ $? -eq 0 ]; then
 #Testen ob ein anderer Monitor / TV angeschlossen wurde
 $LOGGER "TV OK"
 DISPLAY=:0.0 xrandr --verbose | diff --ignore-matching-lines=Timestamp - $XRANDR_OUTPUT_FILE
 if [ $? -ne 0 ]; then
  $LOGGER "new TV found"
  #Bildschrim Daten lesen und Skript generieren
  DISPLAY=:0.0 xrandr --verbose >$XRANDR_OUTPUT_FILE
  set_screen_resolution $XRANDR_OUTPUT_FILE $SET_RESOLUTION_SCRIPT
  chmod ugo+x $SET_RESOLUTION_SCRIPT
 fi
 else
 $LOGGER "no TV found"
fi

#Ist ein Skript für Auflösung setzten vorhanden?
#Wenn nicht dann hat der Monitor/TV keine passende Auflösung oder war beim Rechner Start noch nicht eingeschaltet
if [ -f $SET_RESOLUTION_SCRIPT ]; then
 $LOGGER "set default resolution"
 ###### Auflösung einstellen
 DISPLAY=:0.0 $SET_RESOLUTION_SCRIPT
fi
